Subject: Ticket Assigned - Promotions or Gift Vouchers
From: Max <[email-masked]>
To: [email-masked]
Date: Sun, 08 May 2022 07:30:30 +0000

Hi Athar Mubark,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Promotions or Gift Vouchers Good evening, 
I went to max with this email and they said I am unable to use the barcode on this email to access the discount. They told me that I need to bring the physical voucher itself. I don’t understand the logic of this - if the physical voucher is compulsory then what is the need of this email and also, they should have mentioned so somewhere. 
The world is moving towards electronic development while you guys are still stuck on paper. 

This service has been extremely disappointing. 

Max - Mall of the Emirates 
Landmark Retail Investment Co.LLC 
Mall of the Emirates 
Dubai, Dubai 
2022-04-30T14:49:55+04:00 
TRN :  100260641400003  
 
DISCOUNT COUPON

25% OFF

60377106172643001PIN

Best Regards, 
Naseera https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4325770